Skip to main content
POST
/
translate
/
v1
/
detect
curl -X POST "https://api.case.dev/translate/v1/detect" \ -H "Authorization: Bearer $CASEDEV_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "q": "<string>" }'
{
  "data": {
    "detections": [
      [
        {
          "language": "<string>",
          "confidence": 123,
          "isReliable": true
        }
      ]
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.case.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key starting with sk_case_

Body

application/json
q
required

Text to detect language for. Can be a single string or an array for batch detection.

Response

Language detection successful

data
object